from django.urls import path
from .views import (
    UsuarioListView,
    UsuarioCreateView,
    UsuarioDetailView,
    UsuarioUpdateView,
    UsuarioDeleteView,
    importar_usuarios_masivamente,
    descargar_plantilla_usuarios_csv
)

app_name = 'gestion_usuarios'

urlpatterns = [
    path('', UsuarioListView.as_view(), name='listar_usuarios'),
    path('crear/', UsuarioCreateView.as_view(), name='crear_usuario'),
    path('<int:pk>/', UsuarioDetailView.as_view(), name='detalle_usuario'),
    path('<int:pk>/editar/', UsuarioUpdateView.as_view(), name='editar_usuario'),
    path('<int:pk>/eliminar/', UsuarioDeleteView.as_view(), name='eliminar_usuario'),
    
    # --- URLs PARA LA CARGA MASIVA DE USUARIOS ---
    path('importar/', importar_usuarios_masivamente, name='importar_usuarios'),
    path('plantilla-csv/', descargar_plantilla_usuarios_csv, name='descargar_plantilla_usuarios'),
]
